Skip to main content
Nowledge MemNowledge Mem

Update Space Settings

POST
/spaces/config

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/spaces/config" \  -H "Content-Type: application/json" \  -d '{    "enabled": true  }'
{  "enabled": false,  "spaces": [    {      "aliases": [        "string"      ],      "defaultRetrievalMode": "strict",      "description": "string",      "hasProfile": true,      "icon": "string",      "id": "string",      "instructions": "string",      "key": "string",      "name": "string",      "observed": false,      "sharedSpaceIds": [        "string"      ],      "usage": {        "hasWorkingMemory": false,        "memories": 0,        "sources": 0,        "threads": 0      }    }  ]}